## Index

### Type aliases

- ADD_PLAYER_TO_NAMESPACE_MESSAGE
- BROADCAST_NAMESPACED_MESSAGE
- CreateMatchMessage
- GameEndedMessage
- GameInfoMessage
- GameServerHandoffMessage
- GameServerStatus
- GameToPlayerMessage
- LOBBY_CREATE_MESSAGE
- LOBBY_JOIN_MESSAGE
- LOBBY_PLAYER_BAN_MESSAGE
- LOBBY_PLAYER_KICK_MESSAGE
- LOBBY_TOURNAMENT_CONTINUE_MESSAGE
- LOBBY_TOURNAMENT_START_MESSAGE
- MatchCreatedMessage
- MatchEndedMessage
- PlayerDisconnectedMessage
- PlayerToGameMessage
- SERVER_TO_PLAYER_MESSAGE

## Type aliases

### ADD_PLAYER_TO_NAMESPACE_MESSAGE

ADD_PLAYER_TO_NAMESPACE_MESSAGE: object

- Defined in Messages.ts:59

#### Type declaration

- ##### namespace: string

- ##### player: Player

### BROADCAST_NAMESPACED_MESSAGE

BROADCAST_NAMESPACED_MESSAGE: object

- Defined in Messages.ts:53

#### Type declaration

- ##### event: string

- ##### namespace: string

- ##### payload: any

### CreateMatchMessage

CreateMatchMessage: object

- Defined in Messages.ts:7

#### Type declaration

- ##### options: MatchOptions

- ##### players: Player[]

### GameEndedMessage

GameEndedMessage: Game

- Defined in Messages.ts:20

### GameInfoMessage

GameInfoMessage: object

- Defined in Messages.ts:22

#### Type declaration

- ##### name: string

### GameServerHandoffMessage

GameServerHandoffMessage: object

- Defined in Messages.ts:32

#### Type declaration

- ##### gameServerAddress: string

- ##### token: string

### GameServerStatus

GameServerStatus: object

- Defined in Messages.ts:26

#### Type declaration

- ##### address: GameServerAddress

- ##### healthy: boolean

- ##### info: GameInfoMessage

### GameToPlayerMessage

GameToPlayerMessage: PlayerToGameMessage

- Defined in Messages.ts:41

### LOBBY_CREATE_MESSAGE

LOBBY_CREATE_MESSAGE: object

- Defined in Messages.ts:72

#### Type declaration

- ##### player: Player

### LOBBY_JOIN_MESSAGE

LOBBY_JOIN_MESSAGE: object

- Defined in Messages.ts:64

#### Type declaration

- ##### payload: object

  - ##### spectating: boolean

  - ##### token: string

- ##### player: Player

### LOBBY_PLAYER_BAN_MESSAGE

LOBBY_PLAYER_BAN_MESSAGE: object

- Defined in Messages.ts:86

#### Type declaration

- ##### player: Player

### LOBBY_PLAYER_KICK_MESSAGE

LOBBY_PLAYER_KICK_MESSAGE: object

- Defined in Messages.ts:90

#### Type declaration

- ##### player: Player

### LOBBY_TOURNAMENT_CONTINUE_MESSAGE

LOBBY_TOURNAMENT_CONTINUE_MESSAGE: object

- Defined in Messages.ts:84

#### Type declaration

### LOBBY_TOURNAMENT_START_MESSAGE

LOBBY_TOURNAMENT_START_MESSAGE: object

- Defined in Messages.ts:76

#### Type declaration

- ##### payload: object

  - ##### options: TournamentOptions

  - ##### players: Player[]

  - ##### token: string

### MatchCreatedMessage

MatchCreatedMessage: object

- Defined in Messages.ts:12

#### Type declaration

- ##### playerTokens: object

  - ##### [name: string]: string

### MatchEndedMessage

MatchEndedMessage: Match

- Defined in Messages.ts:18

### PlayerDisconnectedMessage

PlayerDisconnectedMessage: object

- Defined in Messages.ts:43

#### Type declaration

- ##### player: Player

### PlayerToGameMessage

PlayerToGameMessage: object

- Defined in Messages.ts:37

#### Type declaration

- ##### payload: any

### SERVER_TO_PLAYER_MESSAGE

SERVER_TO_PLAYER_MESSAGE: object

- Defined in Messages.ts:47

#### Type declaration

- ##### event: string

- ##### payload: any

- ##### player: Player

Generated using TypeDoc